<template>
    <tr class="border">
        <td class="pl-2">
            {{category.name}}
            {{product.name}}
        </td>
        <td class="text-center">
            <input class="w-4/5 text-center bg-gray-200 border-2 border-gray-200 rounded py-1 px-2 text-gray-700 leading-tight focus:outline-none focus:bg-white focus:border-purple-500"
                    type="number" v-model="quantity" :disabled="added" :class="{'cursor-not-allowed': added}">
        </td>
        <td class="text-center">
            {{product.sale_price}}
        </td>
        <td>
            <b v-if="added" class="cursor-not-allowed">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18"><path class="heroicon-ui" d="M12 22a10 10 0 1 1 0-20 10 10 0 0 1 0 20zm0-2a8 8 0 1 0 0-16 8 8 0 0 0 0 16zm-2.3-8.7l1.3 1.29 3.3-3.3a1 1 0 0 1 1.4 1.42l-4 4a1 1 0 0 1-1.4 0l-2-2a1 1 0 0 1 1.4-1.42z"/></svg>
            </b>
            <a href="#" v-else @click.prevent="addCard">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18"><path class="heroicon-ui" d="M12 22a10 10 0 1 1 0-20 10 10 0 0 1 0 20zm0-2a8 8 0 1 0 0-16 8 8 0 0 0 0 16zm1-9h2a1 1 0 0 1 0 2h-2v2a1 1 0 0 1-2 0v-2H9a1 1 0 0 1 0-2h2V9a1 1 0 0 1 2 0v2z"/></svg>

                <!--<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18"><path class="heroicon-ui" d="M17 16a3 3 0 1 1-2.83 2H9.83a3 3 0 1 1-5.62-.1A3 3 0 0 1 5 12V4H3a1 1 0 1 1 0-2h3a1 1 0 0 1 1 1v1h14a1 1 0 0 1 .9 1.45l-4 8a1 1 0 0 1-.9.55H5a1 1 0 0 0 0 2h12zM7 12h9.38l3-6H7v6zm0 8a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm10 0a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"/></svg>-->

            </a>
        </td>
    </tr>
</template>

<script>

    export default {
        props: ['product', 'category', 'basket'],


        data() {
            return {
                quantity: 1,
            }
        },

        computed:{
            added(){
                return this.basket.find(item => {
                    return item.productId === this.product.id
                })
            }
        },

        watch:{
            quantity(qty){
                if (!!parseInt(qty)) {
                    if (parseInt(qty) > this.product.qty) {
                        this.quantity = this.product.qty;
                    } else {
                        this.quantity = qty;
                    }
                } else {
                    this.quantity = 1;
                }
            }
        },

        methods: {
            addCard(){
                this.$emit('addCard', {
                    category: this.category,
                    product: this.product,
                    quantity: this.quantity
                });

                this.quantity = 1;
            }
        }
    }
</script>
